www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From SL Baur <st...@xemacs.org>
Subject Re: config/2372: If libcrypt is installed, it will be used even if compiling for libc5
Date Mon, 31 Aug 1998 05:10:01 GMT
The following reply was made to PR config/2372; it has been noted by GNATS.

From: SL Baur <steve@xemacs.org>
To: Dean Gaudet <dgaudet@arctic.org>
Cc: apbugs@hyperreal.org
Subject: Re: config/2372: If libcrypt is installed, it will be used even if compiling for
libc5
Date: 30 Aug 1998 20:56:39 -0700

 Dean Gaudet <dgaudet@arctic.org> writes:
 
 > On 7 Jun 1998, SL Baur wrote:
 
 >> My compiler settings were not broken though.  After I hand-edited all
 >> the Makefiles to remove the spurious -lcrypt's which Configure added, it
 >> built (and ran) correctly under libc5.
 
 > Yes, your compiler settings are wrong if adding -lcrypt to them causes
 > them to load a crypt library that doesn't work. 
 
 You're right.  It took me three months to figure out how to do it, but 
 with the right gcc specs and ldscript file Apache-1.3.1 configures
 correctly for both libc5 and libc6 on a mixed Linux system.
 
  ...
 > You, me, and probably 20 other people use this configuration.  There are
 > thousands that use libc5-only, and thousands more that use glibc2-only.  I
 > have no motivation to support a tiny fraction of the population using an
 > interim solution.
 
 Oh well.  It works with the right magic without any Apache changes,
 and if someone else happens to wish a similar solution, feel free to
 point them my direction.
 
 Regards,
 
 -sb

Mime
View raw message